Creates a new task priority
Request Information
URI Parameters :
None.
Body Parameters :
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Request Formats :
application/json, text/json
{
"id": "79fdf9d0-c53e-4e60-9e22-99f307c9b5bc",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "0bf73fc7-311d-4cc5-a6fd-b1b20b7c3e93",
"sales_organization_code": "sample string 8"
}
Response Information
Resource Description :
IHttpActionResult
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Response Formats
application/json, text/json
{
"id": "8ee95907-630c-495b-8a69-b8a1d646224c",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "9e6855e9-97e0-48a1-9e9a-7a30a60b86bc",
"sales_organization_code": "sample string 8"
}